IBRSC(3)

NAME
ibrsc - request system control (board)

SYNOPSIS

#include <gpib/ib.h>

int ibrsc(int ud, int request_control);

DESCRIPTION

If request_control is nonzero, then the board specified by the board descriptor ud is made system controller. If request_control is zero, then the board releases system control.

The system controller has the ability to assert the REN and IFC lines, and is typically also the controller-in-charge. Automatic assertion of REN is controlled with ibconfig(). If the IbcSRE configuration option has been set for the board descriptor ud then REN will automatically be asserted when the board becomes system controller. The configuration option IbcSRE is set by default. A GPIB bus may not have more than one system controller.

RETURN VALUE

The value of ibsta is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess